Macro Remove parametric history

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Macro Remove parametric history and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano

Macro Remove parametric history.png Remove parametric history

Beschreibung
Dadurch wird die gesamte parametrische Assoziativität eines Objekts entfernt und bleibt als "dumme" Form erhalten

Versionsmakro : 0.1
Datum der letzten Änderung : 2011-08-01
FreeCAD version : All
Herunterladen : ToolBar Icon
Autor
Yorik
Herunterladen
ToolBar Icon
Links
Macro-Version
0.1
Datum der letzten Änderung
2011-08-01
FreeCAD-Version(s)
All
Standardverknüpfung
None
Siehe auch
None


Beschreibung

Dadurch wird die gesamte parametrische Assoziativität eines Objekts entfernt und bleibt als "dumme" Form erhalten.

Vorher und nachher:

RPH before.png

RPH after.png

Skript

ToolBar Icon Macro Remove parametric history.png

Remove parametric history.FCMacro

originalObject = FreeCAD.ActiveDocument.ActiveObject
newShape = originalObject.Shape.copy()
newName = FreeCAD.ActiveDocument.ActiveObject.Name
FreeCAD.ActiveDocument.removeObject(newName)
newObject = FreeCAD.ActiveDocument.addObject("Part::Feature",newName)
newObject.Shape = newShape